Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class LockTimedOutException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--kodo.util.UserException
                                                |
                                                +--kodo.util.LockTimedOutException

All Implemented Interfaces:
  Serializable

public class LockTimedOutException
extends UserException
implements Serializable

Exception indicating that locks on one or more objects could not be acquired. The `JDOException.getFailedObject()` method will be used to return the `Collection` of objects that could not be locked.

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`LockTimedOutException(Object pc, long timeout)`
`LockTimedOutException(Throwable[] t, long timeout)`

Method Summary
`long` | `getTimeout()`
`Object` | `writeReplace()` If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockTimedOutException

    public LockTimedOutException(Object pc,
                                 long timeout)

### LockTimedOutException

    public LockTimedOutException(Throwable[] t,
                                 long timeout)

Method Detail

### getTimeout

    public long getTimeout()

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.
  Overrides:
    `writeReplace` in class `UserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.